/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.helpers;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
@AllArgsConstructor
public class Location {

    private final String world;
    private final double x;
    private final double y;
    private final double z;
    private final float pitch;
    private final float yaw;
}