/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.friend;

import eu.univento.commons.player.uuid.NameFetcher;

import java.util.UUID;

/**
 * @author joethei
 * @version 1.0
 */
public class FriendData {

    private UUID uuid;

    public FriendData(UUID uuid) {
        this.uuid = uuid;
    }

    public UUID getUuid() {
        return uuid;
    }

    public String getName() {
        return NameFetcher.getRequest(uuid);
    }
}
