/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.user;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

@Getter
@NoArgsConstructor
@AllArgsConstructor(suppressConstructorProperties = true)
public class Decoded {
    private String name;
    private Value value;

    @Getter
    @NoArgsConstructor
    @AllArgsConstructor(suppressConstructorProperties = true)
    public class Value {
        private Timestamp timestamp;
        private String profileId;
        private String profileName;
        private boolean signatureRequired;
        private Textures textures;
    }
}
