/*
 *  Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.user;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor(suppressConstructorProperties = true)
public class Textures {

    @JsonProperty("SKIN") private Skin skin;
    @JsonProperty("CAPE") private Cape cape;

    @Getter
    @NoArgsConstructor
    @AllArgsConstructor(suppressConstructorProperties = true)
    public class Skin {
        private String url;
    }

    @Getter
    @NoArgsConstructor
    @AllArgsConstructor(suppressConstructorProperties = true)
    public class Cape {
        private String url;
    }
}
