/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.server;

import lombok.Getter;
import lombok.Setter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
public enum ServerType {
    NONE(0, "None", "None"),
    PROXY(1, "Proxy", "§6Proxy"),
    LOBBY(2, "Lobby", "§6Lobby"),
    TEAM_BUILD(3, "TeamVento", "§6TeamVento"),
    SECRET_GAME_FREE4ALL(4, "Free4All", "§6Free4All"),
    SECRET_GAME_TRASHGAMES(5, "TrashGames", "§6TrashGames"),
    GAME_WOOLGET(6, "WoolGet", "§6WoolGet"),
    GAME_MAYA(7, "Maya", "§6Maya"),
    GAME_IMPACT(8, "Impact", "§6Impact");

    private int id;
    private String name;
    private String prefix;

    ServerType(int id, String name, String prefix) {
        this.id = id;
        this.name = name;
        this.prefix = prefix;
    }
    @Setter private static ServerType serverType;

    public static ServerType getServerType() {
        if(serverType == null) return ServerType.NONE;
        return serverType;
    }
}